Issue 121532 - Enhance visualisation of active text edit
Enhance visualisation of active text edit
Product: Draw
Classification: Application
Component: editing
All All
: P3 Normal (vote)
: 4.0.0
Assigned To: Armin Le Grand
Depends on:
  Show dependency treegraph
Reported: 2012-12-21 11:22 UTC by Armin Le Grand
Modified: 2013-07-12 16:33 UTC (History)
1 user (show)

See Also:
Latest Confirmation in: ---
Developer Difficulty: ---


Note You need to log in before you can comment on or make changes to this issue.
Description Armin Le Grand 2012-12-21 11:22:19 UTC
ALG: Currently, text edit is shown surrounded by two hatched frames which visualize the edit area and that area with added borders. I want to try out to visualize this with the user-defined text edit color, not the hatches.
Comment 1 Armin Le Grand 2012-12-21 11:22:43 UTC
ALG: Grepping and setting to enhancement
Comment 2 Armin Le Grand 2013-01-23 16:02:07 UTC
ALG: First things first: Unifying the stuff to get the system hilight color in a fashion limited to to the maximum allowed luminance
Comment 3 SVN Robot 2013-01-23 17:10:21 UTC
"alg" committed SVN revision 1437574 into trunk:
#121532# unified getting the blended selection color
Comment 4 Armin Le Grand 2013-01-24 14:16:29 UTC
ALG: Changing to use selection color, transparency, rounded edges and evtl. slight blinking for better visibility. Testing...
Comment 5 Armin Le Grand 2013-01-24 14:16:56 UTC
ALG: Migrated some more functionality to basic handles or svtools
Comment 6 Armin Le Grand 2013-01-24 15:08:18 UTC
ALG: In HighContast, DRAWMODE_SETTINGSFILL is used at the OutputDevice and thus all is filled with GetSettings().GetStyleSettings().GetWindowColor() which is black. This slightly dimms the text selection.
Comment 7 Armin Le Grand 2013-01-24 16:23:57 UTC
ALG: Made HC use hatch as before, also forcing to HC line color. Works well, checking some more...
Comment 8 Armin Le Grand 2013-01-25 10:21:17 UTC
ALG: Looking at hilighting on object interactions...
Comment 9 Armin Le Grand 2013-01-28 15:49:03 UTC
ALG: Added some hilighting effects. Looking into D&D in SC and SW...
Comment 10 Armin Le Grand 2013-01-28 17:53:31 UTC
ALG: Found a problem with OverlayManager and repaints when BitmapPrimitive2D is making use of ViewRange; ViewRange was set to non-empty, but had no size
Comment 11 Armin Le Grand 2013-01-29 11:44:47 UTC
ALG: Improved D&D for SW
Comment 12 Armin Le Grand 2013-01-29 13:30:15 UTC
ALG: Working well, comitting state. Have to look at D&D in SC...
Comment 13 SVN Robot 2013-01-29 13:32:36 UTC
"alg" committed SVN revision 1439888 into trunk:
#121532# enhanced visualisation of text edut&selection, D&D overhauled
Comment 14 SVN Robot 2013-01-30 13:13:30 UTC
"alg" committed SVN revision 1440387 into trunk:
#121532# unified processor2d usages from other modules
Comment 15 SVN Robot 2013-01-31 09:14:53 UTC
"hdu" committed SVN revision 1440884 into trunk:
#i121532# missing defaultprocessor3d.hxx breaks build
Comment 16 SVN Robot 2013-01-31 09:55:11 UTC
"alg" committed SVN revision 1440890 into trunk:
#121532# removed include to no longer existing file
Comment 17 Armin Le Grand 2013-02-04 11:45:43 UTC
ALG: Okay, done.